Loading...
Searching...
No Matches
Page Flags
LMDB Internals

## Macros

#define | P_BRANCH 0x01
#define | P_LEAF 0x02
#define | P_OVERFLOW 0x04
#define | P_META 0x08
#define | P_DIRTY 0x10
#define | P_LEAF2 0x20
#define | P_SUBP 0x40
#define | P_LOOSE 0x4000
#define | P_KEEP 0x8000

## Detailed Description

Flags for the page headers.

## Macro Definition Documentation

## P_BRANCH

#define P_BRANCH 0x01

branch page

## P_LEAF

#define P_LEAF 0x02

leaf page

## P_OVERFLOW

#define P_OVERFLOW 0x04

overflow page

## P_META

#define P_META 0x08

meta page

## P_DIRTY

#define P_DIRTY 0x10

dirty page, also set for P_SUBP pages

## P_LEAF2

#define P_LEAF2 0x20

for MDB_DUPFIXED records

## P_SUBP

#define P_SUBP 0x40

for MDB_DUPSORT sub-pages

## P_LOOSE

#define P_LOOSE 0x4000

page was dirtied then freed, can be reused

## P_KEEP

#define P_KEEP 0x8000

leave this page alone during spill